Bug 461359 - Please update to version 0.3.7 to fix a virt-manager crash
Please update to version 0.3.7 to fix a virt-manager crash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459927
  Show dependency treegraph
 
Reported: 2008-09-06 10:34 EDT by Torsten Rausche
Modified: 2009-06-27 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Torsten Rausche 2008-09-06 10:34:59 EDT
Description of problem:
Virt-manager crashes with the current version of gtk-vnc in F9. Version 0.3.7 in rawhide seems to fix this. See bug 459927 for details.

Version-Release number of selected component (if applicable):
gtk-vnc-0.3.6-1.fc9.x86_64
virt-manager-0.5.4-4.fc9.x86_64

How reproducible:
Always if LANG is set to the "right" language

Steps to Reproduce:
1. Start virt-manager with LANG set to something different from C or en_US, for example de_DE.UTF-8 or en_GB.utf8
2. In virt-manager double click on a VM to open its console window
  
Actual results:
Virt-manager crashes

Expected results:
No crash
Comment 1 Daniel Berrange 2008-09-08 08:32:33 EDT
There were 2 crash fixes in 0.3.7, so it makes sense that this update addresses your problem.
Comment 2 Torsten Rausche 2008-09-08 10:04:50 EDT
I just installed gtk-vnc-0.3.7-1.fc9.x86_64 from koji and can confirm that virt-manager does not crash anymore.
Comment 3 Fedora Update System 2008-09-11 13:06:49 EDT
gtk-vnc-0.3.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-vnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7907
Comment 4 Fedora Update System 2008-09-24 20:20:19 EDT
gtk-vnc-0.3.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.